Validate Email Change Token
Intent
Reads the email change token without changing it.
When to call it
Call this after your application has received or stored the identifier for the email change token.
Access boundary
Use the credential type and authentication scheme shown for this operation.
Successful result
A successful request returns 204 without a response document.
Operational notes
Check if an email change verification token is still valid.
GET
/
v1
/
customer-portal
/
customers
/
me
/
email-update
/
check
Validate Email Change Token
curl --request GET \
--url https://api.getruba.com/v1/customer-portal/customers/me/email-update/checkimport requests
url = "https://api.getruba.com/v1/customer-portal/customers/me/email-update/check"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getruba.com/v1/customer-portal/customers/me/email-update/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Response
Token is valid.
⌘I
Validate Email Change Token
